Bug 5552 - anaconda malfunction in upgradeFindRoot
anaconda malfunction in upgradeFindRoot
Status: CLOSED DUPLICATE of bug 5567
Product: Red Hat Linux
Classification: Retired
Component: python (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-04 22:04 EDT by mathew
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-05 17:26:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mathew 1999-10-04 22:04:30 EDT
One of my systems is dual-boot
   /dev/sda1 NT 4.0
   /dev/sdb2 Linux ext2fs (redhat 6.0)

While attempting to install, the error "sda1 incorrect
parameter" locks the install process.

With some investifation, I find that it has
mknoded /tmp/sda and /tmp/sda1 (the NTFS part)
I am not a python programmer, but from what I can see,
the "else:" on line 1120 of todo.py seems to have fallen in
with the wrong "if".  It is indented, but with [TAB]'s and
that would explain the behavior I see...

by my roconing, the program enters line 1116 with drive
equal to 'sda' .  Then when the program determines that the
part is of type 4, not 2, it skips to line 1120.  Next it
creates '/tmp/' + '0(first time through)+1' = '/tmp/sda1'
When it attempts to mount this FS to grab the /etc/fstab,
it dies :(
Comment 1 Trond Eivind Glomsrød 1999-10-05 07:59:59 EDT
Here is a patch, which should apply to bugs 5507, 5555, 5563, 5552 and
5567 (making changes to several of these at once didn't work).

A break statement is missing after detecting a NTFS-partition, thus
identifying it as an EXT2FS-partition.
--- /mnt/cdrom/misc/src/anaconda/balkan/dos.c   Sat Sep 11 17:47:28
1999
+++ dos.c       Tue Oct  5 13:34:16 1999
@@ -139,6 +139,7 @@

              case 0x7:
                table->parts[i].type = BALKAN_PART_NTFS;
+               break;

              case 0x83:
                table->parts[i].type = BALKAN_PART_EXT2;
Comment 2 Bill Nottingham 1999-10-05 17:26:59 EDT
*** This bug has been marked as a duplicate of 5567 ***

Note You need to log in before you can comment on or make changes to this bug.